## python-os-ken 2.10.1

=== debian/changelog ===
python-os-ken (2.10.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Removed Accept_empty_OXM_fields.patch applied upstream.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Tue, 27 Jan 2026 13:26:20 +0000

python-os-ken (2.10.0-4) UNRELEASED; urgency=medium

  * Add Accept_empty_OXM_fields.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Jan 2026 14:35:15 +0100

python-os-ken (2.10.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090554).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 09:25:35 +0100

python-os-ken (2.10.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:15:18 +0200

python-os-ken (2.10.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 11:56:42 +0200

## python-os-ken 2.11.2

=== debian/changelog ===
python-os-ken (2.11.2-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/control: Drop dependencies that are no longer required.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Jan 2025 11:36:30 +0000

## python-os-ken 3.0.1

=== debian/changelog ===
python-os-ken (3.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 09:34:42 +0100

python-os-ken (3.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 13:44:41 +0100

python-os-ken (3.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Feb 2025 13:28:24 +0100

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/os-ken refs/tags/(\d[brc\d\.]+)

## python-os-ken 3.1.0

=== debian/changelog ===
python-os-ken (3.1.0-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * d/watch: Track Flamingo series releases.

  [ Guillaume Boutry ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Thu, 24 Jul 2025 16:07:02 -0400

python-os-ken (3.0.1-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Mon, 03 Mar 2025 09:36:36 +0000

python-os-ken (3.0.0-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Thu, 20 Feb 2025 09:30:24 +0000

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/os-ken/os_ken-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-os-ken 3.1.1

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr>=2.0.0 # Apache-2.0
eventlet>=0.27.0 # MIT
msgpack>=1.0.0  # RPC library, BGP speaker(net_cntl)
ncclient>=0.6.13 # Apache-2.0
netaddr>=0.7.18 # BSD
oslo.config>=5.1.0
ovs>=2.8.0  # OVSDB
packaging>=20.4  # Apache-2.0
Routes>=2.3.1 # MIT
WebOb>=1.8.2  # wsgi

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

export PYTHONPATH = $PYTHONPATH:..

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
    @echo "Please use \`make <target>' where <target> is one of"
    @echo "  html       to make standalone HTML files"
    @echo "  dirhtml    to make HTML files named index.html in directories"
    @echo "  singlehtml to make a single large HTML file"
    @echo "  pickle     to make pickle files"
    @echo "  json       to make JSON files"
    @echo "  htmlhelp   to make HTML files and a HTML help project"
    @echo "  qthelp     to make HTML files and a qthelp project"
    @echo "  devhelp    to make HTML files and a Devhelp project"
    @echo "  epub       to make an epub"
    @echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
    @echo "  latexpdf   to make LaTeX files and run them through pdflatex"
    @echo "  text       to make text files"
    @echo "  man        to make manual pages"
    @echo "  changes    to make an overview of all changed/added/deprecated items"
    @echo "  linkcheck  to check all external links for integrity"
    @echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
    -rm -rf $(BUILDDIR)/*

html:
    $(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
    @echo
    @echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
    $(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
    @echo
    @echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
    $(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
    @echo
    @echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
    $(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
    @echo
    @echo "Build finished; now you can process the pickle files."

json:
    $(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
    @echo
    @echo "Build finished; now you can process the JSON files."

htmlhelp:
    $(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
    @echo
    @echo "Build finished; now you can run HTML Help Workshop with the" \
          ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
    $(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
    @echo
    @echo "Build finished; now you can run "qcollectiongenerator" with the" \
          ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
    @echo "# qcollectiongenerator $(BUILDDIR)/qthelp/os_ken.qhcp"
    @echo "To view the help file:"
    @echo "# assistant -collectionFile $(BUILDDIR)/qthelp/os_ken.qhc"

devhelp:
    $(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
    @echo
    @echo "Build finished."
    @echo "To view the help file:"
    @echo "# mkdir -p $$HOME/.local/share/devhelp/os_ken"
    @echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/os_ken"
    @echo "# devhelp"

epub:
    $(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
    @echo
    @echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
    $(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
    @echo
    @echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
    @echo "Run \`make' in that directory to run these through (pdf)latex" \
          "(use \`make latexpdf' here to do that automatically)."

latexpdf:
    $(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
    @echo "Running LaTeX files through pdflatex..."
    $(MAKE) -C $(BUILDDIR)/latex all-pdf
    @echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
    $(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
    @echo
    @echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
    $(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
    @echo
    @echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
    $(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
    @echo
    @echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
    $(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
    @echo
    @echo "Link check complete; look for any errors in the above output " \
          "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
    $(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
    @echo "Testing of doctests in the sources finished, look at the " \
          "results in $(BUILDDIR)/doctest/output.txt."

=== doc/requirements.txt ===
sphinx>2.2.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
# releasenotes
reno>=3.1.0 # Apache-2.0

=== os_ken/tests/packet_data_generator/Makefile ===

generate:
    rebar get-deps
    rebar compile
    erl -pa ebin deps/*/ebin -s x x -s init stop

=== debian/changelog ===
python-os-ken (3.1.1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.
  * d/watch: Update version detection.

 -- Myles Penner <myles.penner@canonical.com>  Mon, 22 Sep 2025 10:02:17 -0700

=== debian/control ===
Source: python-os-ken
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-eventlet (>= 0.26.1),
 python3-hacking,
 python3-msgpack (>= 1.0.0),
 python3-ncclient (>= 0.6.13),
 python3-netaddr (>= 0.7.18),
 python3-nose (>= 1.3.7),
 python3-openstackdocstheme (>= 2.2.1),
 python3-openvswitch (>= 2.8.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslotest (>= 1:3.2.0),
 python3-packaging (>= 20.4),
 python3-pycodestyle (>= 2.0.0),
 python3-routes (>= 2.3.1),
 python3-stestr (>= 1.0.0),
 python3-subunit (>= 1.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tinyrpc (>= 0.6),
 python3-webob (>= 1:1.8.2),
Standards-Version: 4.6.1
Homepage: https://docs.openstack.org/os-ken/latest/
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-os-ken

Package: python3-os-ken
Architecture: all
Depends:
 python3-eventlet (>= 0.26.1),
 python3-msgpack (>= 1.0.0),
 python3-netaddr (>= 0.7.18),
 python3-openvswitch (>= 2.8.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-packaging (>= 20.4),
 python3-pbr (>= 2.0.0),
 python3-routes (>= 2.3.1),
 python3-tinyrpc (>= 0.6),
 python3-webob (>= 1:1.8.2),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-ncclient (>= 0.6.13),
Description: Component based SDN framework for OpenStack
 os-ken is a component-based software defined networking framework. os-ken
 provides software components with well defined API that make it easy for
 developers to create new network management and control applications.
 os-ken supports various protocols for managing network devices, such
 as OpenFlow, Netconf, OF-config, etc. os-ken supports fully 1.0, 1.2, 1.3,
 1.4 and Nicira Extensions for OpenFlow.
 .
 os-ken is a fork of the Ryu library tailored for OpenStack Neutron.
 .
 This package contains the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=python-os-ken

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_clean:
	dh_auto_clean

=== debian/watch ===
version=3
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
    http://tarballs.opendev.org/openstack/os-ken/ os_ken-(\d.*)\.tar\.gz

## python-os-ken 4.1.0

=== debian/changelog ===
python-os-ken (4.1.0-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update for new upstream
  * d/u/signing-key.asc: update for gazpacho
  * d/rules: enable sphinxdoc to build documentation
  * New upstream version 4.1.0
  * New upstream release for OpenStack Gazpacho. (LP: #2138121)

 -- Myles Penner <myles.penner@canonical.com>  Tue, 20 Jan 2026 18:14:58 -0800

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_install:
 	pkgos-dh_auto_install --no-py2

=== debian/watch ===
version=4
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
    http://tarballs.opendev.org/openstack/os-ken/ os_ken-(\d.*)\.tar\.gz

## python-os-ken 4.1.1

=== debian/changelog ===
python-os-ken (4.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed Accept_empty_OXM_fields.patch applied upstream.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Feb 2026 15:23:29 +0100

python-os-ken (3.1.1-3) unstable; urgency=medium

  * Add Accept_empty_OXM_fields.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Jan 2026 14:04:46 +0100

python-os-ken (3.1.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 18:37:52 +0200

python-os-ken (3.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 12:42:54 +0200

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/os-ken.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info .pybuild
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 'os_ken\.tests\.unit\.(?!cmd\.test_manager\.Test_Manager\.test_help)'
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-os-ken-doc/usr/share/doc/python-os-ken-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
